

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.1.1. grndb &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.1.2. grnslap" href="grnslap.html" />
    <link rel="prev" title="7.1. 実行ファイル" href="../executables.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/executables/grndb.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="grnslap.html" title="7.1.2. grnslap"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="../executables.html" title="7.1. 実行ファイル"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../executables.html" accesskey="U"><span class="section-number">7.1. </span>実行ファイル</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.1.1. </span><code class="docutils literal notranslate"><span class="pre">grndb</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grndb">
<h1><span class="section-number">7.1.1. </span><code class="docutils literal notranslate"><span class="pre">grndb</span></code><a class="headerlink" href="#grndb" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.1.1.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.9 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">grndb</span></code> はGroongaのデータベースを管理します。</p>
<p>機能は次の通りです。</p>
<blockquote>
<div><ul class="simple">
<li><p>データベースが壊れているかどうかをチェックする。</p></li>
<li><p>壊れたデータベースが復旧可能なら自動でデータベースを復旧する。</p></li>
</ul>
</div></blockquote>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.1.1.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">grndb</span></code> にはコマンドとデータベースのパスを渡します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>grndb COMMAND [OPTIONS] DATABASE_PATH
</pre></div>
</div>
<p>利用可能なコマンドは以下の通りです。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">check</span></code> - データベースが壊れているかどうかをチェックします。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">recover</span></code> - データベースを復旧します。</p></li>
</ul>
</div></blockquote>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.1.1.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下は <code class="docutils literal notranslate"><span class="pre">/var/lib/groonga/db/db</span></code> にあるデータベースをチェックする例です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb check /var/lib/groonga/db/db
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">/var/lib/groonga/db/db</span></code> にあるデータベースを復旧する例です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb recover /var/lib/groonga/db/db
</pre></div>
</div>
</div>
<div class="section" id="commands">
<h2><span class="section-number">7.1.1.4. </span>コマンド一覧<a class="headerlink" href="#commands" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションでは利用可能なコマンドについて説明します。</p>
<div class="section" id="check">
<h3><span class="section-number">7.1.1.4.1. </span><code class="docutils literal notranslate"><span class="pre">check</span></code><a class="headerlink" href="#check" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>既存のGroongaデータベースをチェックします。もし、データベースが壊れていたら <code class="docutils literal notranslate"><span class="pre">grndb</span></code> は詳細を報告し、 <code class="docutils literal notranslate"><span class="pre">0</span></code> 以外の終了ステータスで終了します。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>このコマンドを他のプロセスが開いているデータベースに対しては使ってはいけません。もし、データベースが他のプロセスから開かれていると、このコマンドは間違った結果を報告する可能性があります。</p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">check</span></code> にはいくつかオプションがあります。</p>
<div class="section" id="target">
<h4><span class="section-number">7.1.1.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">--target</span></code><a class="headerlink" href="#target" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.1.2 で追加.</span></p>
</div>
<p>チェック対象のオブジェクトを指定します。</p>
<p>もし、データベースが大きく、かつ、信頼できないオブジェクトがわかっているなら、このオプションが役に立つでしょう。 <code class="docutils literal notranslate"><span class="pre">check</span></code> は大きなデータベースほど処理に時間がかかります。 <code class="docutils literal notranslate"><span class="pre">--target</span></code> オプションでチェック対象を限定することでチェック時間を削減できます。</p>
<p><code class="docutils literal notranslate"><span class="pre">check</span></code> はチェック対象を再帰的にチェックします。なぜなら、信頼できないオブジェクトに関連するオブジェクトも信頼できないことが多いからです。</p>
<p>チェック対象がテーブルの場合、そのテーブルのすべてのカラムも再帰的にチェックします。</p>
<p>チェック対象がテーブルでテーブルのキーの型が他のテーブルの場合、他のテーブルも再帰的にチェックします。</p>
<p>チェック対象がカラムで値の型がテーブルの場合、そのテーブルも再帰的にチェックします。</p>
<p>チェック対象がインデックスカラムの場合、値の型に指定したテーブルとすべてのソースも再帰的にチェックします。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">Entries</span></code> テーブルとそのカラムだけをチェックする例です。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb check --target Entries /var/lib/groonga/db/db
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">Entries.name</span></code> カラムだけをチェックする例です。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb check --target Entries.name /var/lib/groonga/db/db
</pre></div>
</div>
</div>
<div class="section" id="log-level">
<h4><span class="section-number">7.1.1.4.1.2. </span><code class="docutils literal notranslate"><span class="pre">--log-level</span></code><a class="headerlink" href="#log-level" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 7.0.4 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">grndb</span></code> のログレベルを指定します。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--log-level</span></code> オプションを指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb check --log-level info --log-path /var/log/groonga/grndb.log /var/lib/groonga/db/db
</pre></div>
</div>
<p>サポートされているログレベルについては <a class="reference internal" href="../commands/log_level.html"><span class="doc">log_level</span></a> を参照してください。</p>
</div>
<div class="section" id="log-path">
<h4><span class="section-number">7.1.1.4.1.3. </span><code class="docutils literal notranslate"><span class="pre">--log-path</span></code><a class="headerlink" href="#log-path" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 7.0.4 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">grndb</span></code> のログ出力先のパスを指定します。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--log-path</span></code> オプションを指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb check --log-path /var/log/groonga/grndb.log /var/lib/groonga/db/db
</pre></div>
</div>
</div>
<div class="section" id="log-flags">
<h4><span class="section-number">7.1.1.4.1.4. </span><code class="docutils literal notranslate"><span class="pre">--log-flags</span></code><a class="headerlink" href="#log-flags" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 9.0.3 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">grndb</span></code> のログに出力する内容をフラグで指定します。 <code class="docutils literal notranslate"><span class="pre">--log-flags</span></code> のデフォルト値は <code class="docutils literal notranslate"><span class="pre">time|message</span></code> です。 <code class="docutils literal notranslate"><span class="pre">grndb</span></code> のログにタイムスタンプとログメッセージを出力することを意味します。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--log-flags</span></code> オプションを指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb check --log-path /var/log/groonga/grndb.log --log-flags &quot;time|pid|message&quot; /var/lib/groonga/db/db
</pre></div>
</div>
<p>サポートされているログフラグについては <a class="reference internal" href="groonga.html"><span class="doc">groonga 実行ファイル</span></a> を参照してください。</p>
</div>
<div class="section" id="since">
<h4><span class="section-number">7.1.1.4.1.5. </span><code class="docutils literal notranslate"><span class="pre">--since</span></code><a class="headerlink" href="#since" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 9.0.4 で追加.</span></p>
</div>
<p>チェックすべきオブジェクトの更新時刻を指定します。もしオブジェクトの更新時刻が指定したものよりも新しければ、 <code class="docutils literal notranslate"><span class="pre">grndb</span></code> のチェックの対象となります。更新時刻は ISO 8601形式か -3days や -2.5weeksといった <code class="docutils literal notranslate"><span class="pre">-NUNIT</span></code> 形式で指定します。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--since</span></code> オプションをISO 8601形式で指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grmdb check --since=2019-06-24T18:16:22 /var/lib/groonga/db/db
</pre></div>
</div>
<p>上記の例では <code class="docutils literal notranslate"><span class="pre">2019-06-24T18:16:22</span></code> 以降に更新されたオブジェクトをチェックします。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--since</span></code> オプションを <code class="docutils literal notranslate"><span class="pre">-NUNIT</span></code> 形式で指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grmdb check --since=-7d /var/lib/groonga/db/db
</pre></div>
</div>
<p>上記の例では、直近7日で更新されたものがチェックされます。</p>
<p><code class="docutils literal notranslate"><span class="pre">-NUNIT</span></code> は以下の単位を受け付けます。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>対応している単位</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">s</span></code>, <code class="docutils literal notranslate"><span class="pre">sec</span></code>, <code class="docutils literal notranslate"><span class="pre">secs</span></code>, <code class="docutils literal notranslate"><span class="pre">second</span></code>, <code class="docutils literal notranslate"><span class="pre">seconds</span></code></p></td>
<td><p>直近N秒を指定します。例えば、 <code class="docutils literal notranslate"><span class="pre">--since=-100s</span></code> は直近100秒以内のものをチェックします。</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">m</span></code>, <code class="docutils literal notranslate"><span class="pre">min</span></code>, <code class="docutils literal notranslate"><span class="pre">mins</span></code>, <code class="docutils literal notranslate"><span class="pre">minute</span></code>, <code class="docutils literal notranslate"><span class="pre">minutes</span></code></p></td>
<td><p>直近N分を指定します。例えば、 <code class="docutils literal notranslate"><span class="pre">--since=-10m</span></code> は直近10分以内のものをチェックします。</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">h</span></code>, <code class="docutils literal notranslate"><span class="pre">hour</span></code>, <code class="docutils literal notranslate"><span class="pre">hours</span></code></p></td>
<td><p>直近N時間を指定します。例えば、 <code class="docutils literal notranslate"><span class="pre">--since=-10h</span></code> は直近10時間以内のものをチェックします。</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">d</span></code>, <code class="docutils literal notranslate"><span class="pre">day</span></code>, <code class="docutils literal notranslate"><span class="pre">days</span></code></p></td>
<td><p>直近N日を指定します。例えば、 <code class="docutils literal notranslate"><span class="pre">--since=-10d</span></code> は直近10日以内のものをチェックします。</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">w</span></code>, <code class="docutils literal notranslate"><span class="pre">week</span></code>, <code class="docutils literal notranslate"><span class="pre">weeks</span></code></p></td>
<td><p>直近N週を指定します。例えば、 <code class="docutils literal notranslate"><span class="pre">--since=-10w</span></code> は直近10週以内のものをチェックします。</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">month</span></code>, <code class="docutils literal notranslate"><span class="pre">months</span></code></p></td>
<td><p>直近10ヶ月を指定します。例えば、 <code class="docutils literal notranslate"><span class="pre">--since=-10month</span></code> は直近10ヶ月以内のものをチェックします。</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">year</span></code>, <code class="docutils literal notranslate"><span class="pre">years</span></code></p></td>
<td><p>直近N年を指定します。例えば、 <code class="docutils literal notranslate"><span class="pre">--since=-1year</span></code> は直近1年以内のものをチェックします。</p></td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="section" id="recover">
<h3><span class="section-number">7.1.1.4.2. </span><code class="docutils literal notranslate"><span class="pre">recover</span></code><a class="headerlink" href="#recover" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>既存の壊れたGroongaデータベースを復旧します。</p>
<p>もしデータベースが壊れていなかったら、 <code class="docutils literal notranslate"><span class="pre">grndb</span></code> は何もせず終了ステータス <code class="docutils literal notranslate"><span class="pre">0</span></code> で終了します。</p>
<p>もしデータベースが壊れていて、壊れているのがインデックスカラムだけなら、 <code class="docutils literal notranslate"><span class="pre">grndb</span></code> は壊れているインデックスカラムを復旧して終了ステータス <code class="docutils literal notranslate"><span class="pre">0</span></code> で終了します。インデックス対象のデータが大きい場合は復旧に長時間かかることもあります。</p>
<p>もしデータベースが壊れていて、壊れているのがテーブルまたはデータカラムの場合は、 <code class="docutils literal notranslate"><span class="pre">grndb</span></code> は壊れている原因を報告して <code class="docutils literal notranslate"><span class="pre">0</span></code> 以外の終了ステータスで終了します。データベースを復旧可能かどうかは <code class="docutils literal notranslate"><span class="pre">check</span></code> コマンドで確認できます。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>このコマンドを他のプロセスが開いているデータベースに対しては使ってはいけません。もし、データベースが他のプロセスから開かれていると、このコマンドはデータベースを壊してしまう可能性があります。</p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">recover</span></code> にはいくつかオプションがあります。</p>
<div class="section" id="force-truncate">
<span id="grndb-force-truncate"></span><h4><span class="section-number">7.1.1.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">--force-truncate</span></code><a class="headerlink" href="#force-truncate" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 7.0.4 で追加.</span></p>
</div>
<p>壊れたデータベースオブジェクトを強制的に初期化します。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--force-truncate</span></code> オプションを指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb recover --force-truncate --log-level info --log-path /var/log/groonga/grndb.log /var/lib/groonga/db/db
</pre></div>
</div>
<p>このオプションが指定されたとき、 <code class="docutils literal notranslate"><span class="pre">grndb</span></code> は次のことを実行します。:</p>
<ul class="simple">
<li><p>壊れたデータベースオブジェクト(テーブル、カラム、インデックス)がないかチェックします</p></li>
<li><p>壊れたデータベースオブジェクト(テーブル、カラム、インデックス)を初期化します</p></li>
<li><p>大量のデータをロードしたときに作られる増分ファイル(末尾に.00Nがつきます)を削除します</p></li>
</ul>
<p><code class="docutils literal notranslate"><span class="pre">--force-truncate</span></code> は破壊的なオプションです。ロックが残留していても、 <code class="docutils literal notranslate"><span class="pre">grndb</span></code> は構わず対象となる壊れたデータベースオブジェクトを初期化します。</p>
<p><code class="docutils literal notranslate"><span class="pre">grndb</span> <span class="pre">recover</span></code> の処理が終わったら、データベースを再構築するために初期化されたテーブルやカラムに対して再びデータをロードする必要があります。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>このオプションは必要なときのみ使用します。つまりデータベースのメタ情報と実際に存在するデータベースのオブジェクトファイルの情報が食い違っているときです。 他にデータベースを復旧する方法がないときのみ使うべきです。</p>
</div>
</div>
<div class="section" id="force-lock-clear">
<span id="grndb-force-lock-clear"></span><h4><span class="section-number">7.1.1.4.2.2. </span><code class="docutils literal notranslate"><span class="pre">--force-lock-clear</span></code><a class="headerlink" href="#force-lock-clear" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 7.1.1 で追加.</span></p>
</div>
<p>データベース・テーブル・データカラムのロックをクリアーします。インデックスカラムのロックはクリアーしません。インデックスカラムにロックが残っている場合はロックをクリアーするのではなく作り直します。</p>
<p>通常、ロックをクリアーするのではなく、初期化（truncate）してデータをロードし直すべきです。なぜならロックが残留しているオブジェクトは壊れているかもしれないからです。このオプションは「データベースは壊れているかもしれないけどそのまま使い続けたい」というリスクをわかったユーザーだけのために用意されています。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--force-lock-clear</span></code> オプションを指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb recover --force-lock-clear --log-level info --log-path /var/log/groonga/grndb.log /var/lib/groonga/db/db
</pre></div>
</div>
<p>このオプションが指定されたとき、 <code class="docutils literal notranslate"><span class="pre">grndb</span></code> は次のことを実行します。:</p>
<ul class="simple">
<li><p>ロックが残留したデータベース・テーブル・データカラムがないかチェック</p></li>
<li><p>これらのオブジェクトのロックをクリアー</p></li>
</ul>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>このオプションは必要なときのみ使用するべきです。なぜならこのデータベースは実は復旧できていないかもしれないからです。ロックが残留しているデータベースは壊れているかもしれませんし壊れていないかもしれません。このオプションを使うことでデータベースを使い続けることはできますが、もしデータベースが壊れていたらGroongaがクラッシュするかもしれません。</p>
</div>
</div>
<div class="section" id="id1">
<h4><span class="section-number">7.1.1.4.2.3. </span><code class="docutils literal notranslate"><span class="pre">--log-level</span></code><a class="headerlink" href="#id1" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 7.0.4 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">grndb</span></code> のログレベルを指定します。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--log-level</span></code> オプションを指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb recover --log-level info --log-path /var/log/groonga/grndb.log /var/lib/groonga/db/db
</pre></div>
</div>
<p>サポートされているログレベルについては <a class="reference internal" href="../commands/log_level.html"><span class="doc">log_level</span></a> を参照してください。</p>
</div>
<div class="section" id="id2">
<h4><span class="section-number">7.1.1.4.2.4. </span><code class="docutils literal notranslate"><span class="pre">--log-path</span></code><a class="headerlink" href="#id2" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 7.0.4 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">grndb</span></code> のログ出力先のパスを指定します。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--log-path</span></code> オプションを指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb recover --log-path /var/log/groonga/grndb.log /var/lib/groonga/db/db
</pre></div>
</div>
</div>
<div class="section" id="id3">
<h4><span class="section-number">7.1.1.4.2.5. </span><code class="docutils literal notranslate"><span class="pre">--log-flags</span></code><a class="headerlink" href="#id3" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 9.0.2 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">grndb</span></code> のログに出力する内容をフラグで指定します。 <code class="docutils literal notranslate"><span class="pre">--log-flags</span></code> のデフォルト値は <code class="docutils literal notranslate"><span class="pre">time|message</span></code> です。 <code class="docutils literal notranslate"><span class="pre">grndb</span></code> のログにタイムスタンプとログメッセージを出力することを意味します。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">--log-flags</span></code> オプションを指定する例です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% grndb check --log-path /var/log/groonga/grndb.log --log-flags &quot;time|pid|message&quot; /var/lib/groonga/db/db
</pre></div>
</div>
<p>サポートされているログフラグについては <a class="reference internal" href="groonga.html"><span class="doc">groonga 実行ファイル</span></a> を参照してください。</p>
</div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.1.1. <code class="docutils literal notranslate"><span class="pre">grndb</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.1.1.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.1.1.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.1.1.3. 使い方</a></li>
<li><a class="reference internal" href="#commands">7.1.1.4. コマンド一覧</a><ul>
<li><a class="reference internal" href="#check">7.1.1.4.1. <code class="docutils literal notranslate"><span class="pre">check</span></code></a><ul>
<li><a class="reference internal" href="#target">7.1.1.4.1.1. <code class="docutils literal notranslate"><span class="pre">--target</span></code></a></li>
<li><a class="reference internal" href="#log-level">7.1.1.4.1.2. <code class="docutils literal notranslate"><span class="pre">--log-level</span></code></a></li>
<li><a class="reference internal" href="#log-path">7.1.1.4.1.3. <code class="docutils literal notranslate"><span class="pre">--log-path</span></code></a></li>
<li><a class="reference internal" href="#log-flags">7.1.1.4.1.4. <code class="docutils literal notranslate"><span class="pre">--log-flags</span></code></a></li>
<li><a class="reference internal" href="#since">7.1.1.4.1.5. <code class="docutils literal notranslate"><span class="pre">--since</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#recover">7.1.1.4.2. <code class="docutils literal notranslate"><span class="pre">recover</span></code></a><ul>
<li><a class="reference internal" href="#force-truncate">7.1.1.4.2.1. <code class="docutils literal notranslate"><span class="pre">--force-truncate</span></code></a></li>
<li><a class="reference internal" href="#force-lock-clear">7.1.1.4.2.2. <code class="docutils literal notranslate"><span class="pre">--force-lock-clear</span></code></a></li>
<li><a class="reference internal" href="#id1">7.1.1.4.2.3. <code class="docutils literal notranslate"><span class="pre">--log-level</span></code></a></li>
<li><a class="reference internal" href="#id2">7.1.1.4.2.4. <code class="docutils literal notranslate"><span class="pre">--log-path</span></code></a></li>
<li><a class="reference internal" href="#id3">7.1.1.4.2.5. <code class="docutils literal notranslate"><span class="pre">--log-flags</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="../executables.html"
                        title="前の章へ"><span class="section-number">7.1. </span>実行ファイル</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="grnslap.html"
                        title="次の章へ"><span class="section-number">7.1.2. </span>grnslap</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="grnslap.html" title="7.1.2. grnslap"
             >次へ</a> |</li>
        <li class="right" >
          <a href="../executables.html" title="7.1. 実行ファイル"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../executables.html" ><span class="section-number">7.1. </span>実行ファイル</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.1.1. </span><code class="docutils literal notranslate"><span class="pre">grndb</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>